# BreakoutScoreCounter Class Reference

`#include <BreakoutScoreCounter.h>`

List of all members.

## Public Member Functions
| BreakoutScoreCounter (const Vector2i &pos, const ColourRGB &colour, int val=0)
| ~BreakoutScoreCounter ()
void | Update (const int &val)
void | Draw ()
void | SetPosition (const Vector2i &pos)
Vector2i | GetPosition ()
## Protected Attributes
Vector2i | m_position
int | m_value
SpriteID | m_digits [10]

## Detailed Description

Definition at line 8 of file BreakoutScoreCounter.h.

## Constructor & Destructor Documentation

BreakoutScoreCounter::BreakoutScoreCounter | ( | const Vector2i & | pos,
|  | const ColourRGB & | colour,
|  | int | val = `0` |
| ) |  |  |

Definition at line 8 of file BreakoutScoreCounter.cpp.

BreakoutScoreCounter::~BreakoutScoreCounter | ( |  | ) |

Definition at line 25 of file BreakoutScoreCounter.cpp.

## Member Function Documentation

void BreakoutScoreCounter::Draw | ( |  | ) |

Definition at line 36 of file BreakoutScoreCounter.cpp.

Vector2i BreakoutScoreCounter::GetPosition | ( |  | ) | `[inline]`

Definition at line 18 of file BreakoutScoreCounter.h.

void BreakoutScoreCounter::SetPosition | ( | const Vector2i & | pos | ) | `[inline]`

Definition at line 17 of file BreakoutScoreCounter.h.

void BreakoutScoreCounter::Update | ( | const int & | val | ) |

Definition at line 31 of file BreakoutScoreCounter.cpp.

## Member Data Documentation

SpriteID BreakoutScoreCounter::m_digits[10]`[protected]`

Definition at line 23 of file BreakoutScoreCounter.h.

Vector2i BreakoutScoreCounter::m_position`[protected]`

Definition at line 21 of file BreakoutScoreCounter.h.

int BreakoutScoreCounter::m_value`[protected]`

Definition at line 22 of file BreakoutScoreCounter.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutScoreCounter.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutScoreCounter.cpp